package com.jwl.driver.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.jwl.driver.server.dto.LoginUserDto;
import com.jwl.driver.server.entity.TdSysUser;
import com.jwl.driver.server.mapper.TdSysUserMapper;
import com.jwl.driver.server.redis.RedisCache;
import com.jwl.driver.server.service.ITdSysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jwl.driver.server.vo.LoginUserVo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

/**
 * <p>
 * 用户表; 服务实现类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Service
public class TdSysUserServiceImpl extends ServiceImpl<TdSysUserMapper, TdSysUser> implements ITdSysUserService {

    @Autowired
    private RedisCache redisCache;

    @Override
    public LoginUserVo login(LoginUserDto loginUserDto) {
        //XI
        LambdaQueryWrapper<TdSysUser> cond = new LambdaQueryWrapper<TdSysUser>()
                .eq(TdSysUser::getPhone,"18255439337");
        TdSysUser tdSysUser = this.baseMapper.selectOne(cond);
        if (tdSysUser == null){
            //创建用户
        }

        String token = UUID.randomUUID().toString();
        redisCache.setCacheObject(token,"123456",365*24*60*60);
        LoginUserVo loginUserVo = new LoginUserVo();
        BeanUtils.copyProperties(tdSysUser,loginUserVo);
        loginUserVo.setToken(token);

        return loginUserVo;



    }
}
